org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.NumberValueElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.NumberValueElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.NumberValueElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberValueElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Alternatives` | `getAlternatives_1()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Assignment` | `getNegativeAssignment_1_1()`
    `org.eclipse.xtext.Keyword` | `getNegativeHyphenMinusKeyword_1_1_0()`
    `org.eclipse.xtext.Action` | `getNumberValueAction_0()`
    `org.eclipse.xtext.Keyword` | `getPlusSignKeyword_1_0()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.Assignment` | `getValueAssignment_2()`
    `org.eclipse.xtext.RuleCall` | `getValueXNumberLiteralParserRuleCall_2_0()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberValueElements

          public NumberValueElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getNumberValueAction_0

          public org.eclipse.xtext.Action getNumberValueAction_0()

    - #### getAlternatives_1

          public org.eclipse.xtext.Alternatives getAlternatives_1()

    - #### getPlusSignKeyword_1_0

          public org.eclipse.xtext.Keyword getPlusSignKeyword_1_0()

    - #### getNegativeAssignment_1_1

          public org.eclipse.xtext.Assignment getNegativeAssignment_1_1()

    - #### getNegativeHyphenMinusKeyword_1_1_0

          public org.eclipse.xtext.Keyword getNegativeHyphenMinusKeyword_1_1_0()

    - #### getValueAssignment_2

          public org.eclipse.xtext.Assignment getValueAssignment_2()

    - #### getValueXNumberLiteralParserRuleCall_2_0

          public org.eclipse.xtext.RuleCall getValueXNumberLiteralParserRuleCall_2_0()